Mail archive
alpine-aports

[alpine-aports] [PATCH] main/mc: upgrade to 4.8.19

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Mon, 13 Mar 2017 16:16:38 +0200

- fix 'with-edit' --> 'with-internal-edit' configure flag
- remove unused configure flags (with-vfs, without-debug, without-gnome,
  without-samba)
- fixes ad cleanups in APKBUILD
---
 main/mc/APKBUILD | 56 ++++++++++++++++++++------------------------------------
 1 file changed, 20 insertions(+), 36 deletions(-)
diff --git a/main/mc/APKBUILD b/main/mc/APKBUILD
index 57d43e817c..02304438b6 100644
--- a/main/mc/APKBUILD
+++ b/main/mc/APKBUILD
_at_@ -1,7 +1,7 @@
 # Contributor: Valery Kartel <valery.kartel_at_gmail.com>
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=mc
-pkgver=4.8.18
+pkgver=4.8.19
 pkgrel=0
 pkgdesc="A filemanager/shell that emulates Norton Commander"
 url="http://www.midnight-commander.org"
_at_@ -12,19 +12,10 @@ subpackages="$pkgname-doc $pkgname-lang"
 makedepends="e2fsprogs-dev glib-dev pcre-dev ncurses-dev libssh2-dev"
 source="http://www.midnight-commander.org/downloads/$pkgname-$pkgver.tar.bz2
 	alpine_syntax.patch"
+builddir="$srcdir/$pkgname-$pkgver"
 
-_builddir="$srcdir"/$pkgname-$pkgver
-
-prepare() {
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-			*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
 build() {
-	cd "$_builddir"
+	cd "$builddir"
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
_at_@ -36,47 +27,40 @@ build() {
 		--enable-charset \
 		--enable-largefile \
 		--enable-vfs-sftp \
-		--with-edit \
+		--with-internal-edit \
 		--with-mmap \
 		--with-screen=ncurses \
 		--with-subshell \
-		--with-vfs \
-		--without-debug \
-		--without-gnome \
 		--without-gpm-mouse \
 		--without-included-gettext \
-		--without-samba \
 		--without-x \
 		|| return 1
-	make || return 1
+	make
 }
 
 package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" install || return 1
+	make -C "$builddir" DESTDIR="$pkgdir" install || return 1
+	rm -fr "$pkgdir"/usr/share/man/??
 }
 
 doc() {
-	default_doc;
-	rm -fr "$subpkgdir"/usr/share/man/??
-	mkdir -p "$subpkgdir"/usr/share/doc
-	mv "$pkgdir"/usr/share/mc/examples "$subpkgdir"/usr/share/doc/mc
-	find "$pkgdir"/usr/lib/mc -name README* -exec mv {} "$subpkgdir"/usr/share/doc/mc/ \;
+	default_doc || return 1
+	mkdir -p "$subpkgdir"/usr/share/doc || return 1
+	mv "$pkgdir"/usr/share/mc/examples \
+		"$subpkgdir"/usr/share/doc/mc || return 1
+	find "$pkgdir"/usr/lib/mc -name README* \
+		-exec mv {} "$subpkgdir"/usr/share/doc/mc/ \;
 }
 
 lang() {
-	default_lang;
-	mkdir -p "$subpkgdir"/etc/mc \
-		"$subpkgdir"/usr/share/mc/help \
+	default_lang || return 1
+	mkdir -p "$subpkgdir"/usr/share/mc/help \
 		"$subpkgdir"/usr/share/mc/hints
-	mv "$pkgdir"/etc/mc/mc.menu.* "$subpkgdir"/etc/mc/
-	mv "$pkgdir"/usr/share/mc/help/mc.hlp.* "$subpkgdir"/usr/share/mc/help/
-	mv "$pkgdir"/usr/share/mc/hints/mc.hint.* "$subpkgdir"/usr/share/mc/hints/
+	mv "$pkgdir"/usr/share/mc/help/mc.hlp.* \
+		"$subpkgdir"/usr/share/mc/help/ || return 1
+	mv "$pkgdir"/usr/share/mc/hints/mc.hint.* \
+		"$subpkgdir"/usr/share/mc/hints/
 }
 
-md5sums="cc56f0c9abd63c4caa3636bba3a08bfb  mc-4.8.18.tar.bz2
-e483f42ec389b0be50d8b9bafab889eb  alpine_syntax.patch"
-sha256sums="5b591e10dcbea95233434da40cdad4663d360229adf89826576c319667c103cb  mc-4.8.18.tar.bz2
-9ca96cc0ea6893e21496621f88a58fbc377d64cc39f5e350e8cec9045bf3bb6c  alpine_syntax.patch"
-sha512sums="ed19d91fbf36e191be345b7a86bf3528a4149b2a8099e8db7d1fcf9a69faa34d2b6d463dd5b20ace0128fdf98e8b6066d534da1ee93874db9e634c2df80d79e4  mc-4.8.18.tar.bz2
+sha512sums="eecf39b3f043cad1f47aabcd25a0e672e7bbf406944f457521e0ff5db344f01cdc8572bb45b2507a54469ff1130c457a90f62eb7d5e6191f9c7d4f35a4b46a2e  mc-4.8.19.tar.bz2
 aee89eaacaafcdfe2ceb2eb7b7dcf08d669dbaffcb76f4c1613498017096c33068b7bf9d06e6f7d0685c9928cebaa932ab78b3a68f3b2de59b512022b3944e8d  alpine_syntax.patch"
-- 
2.11.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Mar 13 2017 - 16:16:38 GMT